$breakpoint: 600px;
.mat-toolbar {
  background-color: #3f51b5;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 20px 40px; /* Adjusted padding for top and bottom */

  span {
    font-weight: bold;
    color: #ffffff;

    &:first-child {
      .header-logo {
        height: 50px;
        width: 50px;
        padding: 10px;
      }
    }
  }

  .spacer {
    flex: 1;
  }

  .collapse-button {
    display: none;
    background-color: transparent;
    border: none;
    font-size: 24px;
    color: #ffffff;
    cursor: pointer;
    margin-left: auto; /* Aligns the button to the right */
  }

  .menu-items {
    display: flex;
    flex-direction: row;

    a {
      text-decoration: none;
      font-weight: bold;
      color: #ffffff;
      padding: 0 10px;

      &:hover,
      &.active {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
        background-color: #242840;
        border-radius: 5px;
      }
    }
  }
}

@media screen and (max-width: $breakpoint) {
  .mat-toolbar {
    flex-direction: column;
    align-items: flex-start;
    padding: 20px 20px; /* Adjusted padding for top and bottom */
    height: auto; /* Set height to auto for responsiveness */

    .collapse-button {
      display: block;
    }

    .menu-items {
      display: none;
      flex-direction: column;

      &.show {
        display: flex;
      }

      a {
        color: #ffffff;
        font-weight: bold;
        padding: 10px 0;

        &:hover,
        &.active {
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
          background-color: #242840;
          border-radius: 5px;
        }
      }
    }
  }
}
